PUT
/sip-rules/{sipRuleId}
http://service.chime.aws.amazon.com/sip-rules/{sipRuleId}Updates the details of the specified SIP rule.
Access Token Required: API Key
Path Parameters
sipRuleIdstringrequired
The SIP rule ID.
Body Params
Namestringrequired
The new name for the specified SIP rule.
Disabledboolean
The new value specified to indicate whether the rule is disabled.
TargetApplicationsarray
The new value of the list of target applications.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://service.chime.aws.amazon.com/sip-rules/{sipRuleId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}